<?xml version="1.0" encoding="UTF-8"?>
<settings>
    <servers>
        <server>
            <id>server1</id>
            <username>example</username>
            <password>password</password>
        </server>
    </servers>
    <mirrors>
        <mirror>
            <id>example</id>
            <mirrorOf>*</mirrorOf>
            <name>Example Maven Repo</name>
            <url>https://fake-maven-repo.com</url>
        </mirror>
    </mirrors>
    <profiles>
        <profile>
            <id>nexus</id>
            <!--Enable snapshots for the built in central repo to direct -->
            <!--all requests to fake repo via the mirror -->
            <repositories>
                <repository>
                    <id>central</id>
                    <url>http://central</url>
                    <releases><enabled>true</enabled></releases>
                    <snapshots><enabled>true</enabled></snapshots>
                </repository>
            </repositories>
            <pluginRepositories>
                <pluginRepository>
                    <id>central</id>
                    <url>http://central</url>
                    <releases><enabled>true</enabled></releases>
                    <snapshots><enabled>true</enabled></snapshots>
                </pluginRepository>
            </pluginRepositories>
        </profile>
    </profiles>
    <activeProfiles>
        <!--make the profile active all the time -->
        <activeProfile>example</activeProfile>
    </activeProfiles>
</settings>
